local Rx = require 'Rx'

local Observable = Rx.Observable

return function(self, ...)
    assert(type(...) ~= 'function', "Rx.Observable:zip: Support for resultSelector not implemented. Try :select() on the result of :zip() without the result selector")
    return Observable.zip(self, ...)
end
